Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## net.minecraft.item
Enum EnumToolMaterial

    java.lang.Object
      java.lang.Enum<EnumToolMaterial>
          net.minecraft.item.EnumToolMaterial

All Implemented Interfaces:
  Serializable, Comparable<EnumToolMaterial>

    public enum EnumToolMaterial

extends Enum<EnumToolMaterial>

Enum Constant Summary
`EMERALD`
`GOLD`
`IRON`
`STONE`
`WOOD`

Field Summary
`Item` | `customCraftingMaterial`

Method Summary
`int` | `getDamageVsEntity()` Damage versus entities.
`float` | `getEfficiencyOnProperMaterial()` The strength of this tool material against blocks which it is effective against.
`int` | `getEnchantability()` Return the natural enchantability factor of the material.
`int` | `getHarvestLevel()` The level of material this tool can harvest (3 = DIAMOND, 2 = IRON, 1 = STONE, 0 = IRON/GOLD)
`int` | `getMaxUses()` The number of uses this material allows.
`int` | `getToolCraftingMaterial()` Return the crafting material for this tool material, used to determine the item that can be used to repair a tool with an anvil
`static EnumToolMaterial` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static EnumToolMaterial[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### WOOD

    public static final EnumToolMaterial WOOD

### STONE

    public static final EnumToolMaterial STONE

### IRON

    public static final EnumToolMaterial IRON

### EMERALD

    public static final EnumToolMaterial EMERALD

### GOLD

    public static final EnumToolMaterial GOLD

Field Detail

### customCraftingMaterial

    public Item customCraftingMaterial

Method Detail

### values

    public static EnumToolMaterial[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (EnumToolMaterial c : EnumToolMaterial.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static EnumToolMaterial valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getMaxUses

    public int getMaxUses()

  The number of uses this material allows. (wood = 59, stone = 131, iron = 250, diamond = 1561, gold = 32)

### getEfficiencyOnProperMaterial

    public float getEfficiencyOnProperMaterial()

  The strength of this tool material against blocks which it is effective against.

### getDamageVsEntity

    public int getDamageVsEntity()

  Damage versus entities.

### getHarvestLevel

    public int getHarvestLevel()

  The level of material this tool can harvest (3 = DIAMOND, 2 = IRON, 1 = STONE, 0 = IRON/GOLD)

### getEnchantability

    public int getEnchantability()

  Return the natural enchantability factor of the material.

### getToolCraftingMaterial

    public int getToolCraftingMaterial()

  Return the crafting material for this tool material, used to determine the item that can be used to repair a tool with an anvil

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD